Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[python3] emergetelo, ma non usatelo
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) Forum di discussione italiano
View previous topic :: View next topic  
Author Message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4536
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Fri Dec 04, 2009 5:42 am    Post subject: [python3] emergetelo, ma non usatelo Reply with quote

non lo dico io.
lo consiglia l'avviso dell'ebuild di dev-lang/python-2.6.4

inutile osservare che, messa così, la cosa sembra un po' seccante (si prova a emulare kde?).
quali sono i motivi? è davvero opportuno tenersi la doppia versione di python?

quando potrà essere il caso di passare definitivamente a python3?
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2909
Location: Parma (Italy)

PostPosted: Fri Dec 04, 2009 8:39 am    Post subject: Reply with quote

Ho posto la stessa esatta domanda ieri su #gentoo-it, ma purtroppo ho dovuto staccare e non so se qualcuno ha risposto. Di conseguenza mi accodo. 8)
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
Scen
Retired Dev
Retired Dev


Joined: 29 Jul 2003
Posts: 2470
Location: Padova, Italy

PostPosted: Fri Dec 04, 2009 9:55 am    Post subject: Re: [python3] emergetelo, ma non usatelo Reply with quote

cloc3 wrote:
non lo dico io.
lo consiglia l'avviso dell'ebuild di dev-lang/python-2.6.4

inutile osservare che, messa così, la cosa sembra un po' seccante (si prova a emulare kde?).
quali sono i motivi? è davvero opportuno tenersi la doppia versione di python?

quando potrà essere il caso di passare definitivamente a python3?

Ti riferisci a
Code:

pkg_setup() {
...
    if ! has_version "=dev-lang/python-3*"; then
        elog "It is highly recommended to additionally install Python 3, but without configuring Python wrapper to use Python 3."
    fi
}

?

Probabilmente i devel Gentoo vogliono pararsi il fondoschiena, siccome la release è comunque ancora "giovane". Se ci fai caso c'è anche una USE "python3" in sys-apps/portage. Per le tempistiche non so darti risposte, io spero solo non vengano fatte scelte azzardate :?
_________________
I was born in a deep forest/I wish I could live here all my life/I am made from stones and roots/My home, these woods and roads
All my life I loved this sound/Of the woods all around/Eagles flies where the winds blows free
Journey is my destiny
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4536
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Fri Dec 04, 2009 10:47 am    Post subject: Re: [python3] emergetelo, ma non usatelo Reply with quote

Scen wrote:

Probabilmente i devel Gentoo vogliono pararsi il fondoschiena,

c'è scritto highly recommended.
non sarei così pessimista.

di certo, emergeranno a breve delle ragioni tecniche precise.
ultimamente, mi sto facendo l'idea che gentoo stia spingendo sullo sviluppo con buon senso della misura.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2909
Location: Parma (Italy)

PostPosted: Fri Dec 04, 2009 2:58 pm    Post subject: Reply with quote

#gentoo-python wrote:

<onip> what does "It is highly recommended to additionally install Python 3, but without configuring Python wrapper to use Python 3." mean? (taken from 2.6.4 ebuild) thanks
<onip> why should python-3 be _highly_recommended_ ?
<Arfrever> onip: As a workaround for a temporarily missing feature in Portage.
<onip> Arfrever, stable portage?
<Arfrever> onip: Each.
<onip> ok, so I should just emerge it but not run python-updater or eselect it. right?
<Arfrever> onip: You accept only stable keywords?
<onip> Arfrever, in make.conf yes. but there's plenty of ~x86 in package.keywords
<Arfrever> onip: You don't need to install Python 3 *now*. It will be stabilized hopefully in this month or later, so you can wait...
<onip> Arfrever, ok thanks. that sentence in emerge log was just a little confusing.


Un po' (anche se non molto) più chiaro.
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
!equilibrium
Bodhisattva
Bodhisattva


Joined: 06 Jun 2004
Posts: 2109
Location: MI/BG/LC

PostPosted: Thu Dec 10, 2009 5:38 pm    Post subject: Reply with quote

Onip wrote:
Un po' (anche se non molto) più chiaro.


il punto è che se disinstalli python:2 per sbaglio e tieni solo python:3. portage smette di funzionare, se poi dai una passata di python-updater molte applicazioni python crashano perché non è ancora disponibile il porting; per ora evitare proprio tutte le USE 'python3' a livello globale a meno che non ne abbiate proprio bisogno (tipo per blender-2.5 come il sottoscritto), quando sarà il caso di fare testing e/o di usarla vi farò io un fischio tramite il GWR ;)
_________________
Arch Tester for Gentoo/FreeBSD
Equilibrium's Universe

all my contents are released under the Creative Commons Licence by-nc-nd 2.5
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2909
Location: Parma (Italy)

PostPosted: Thu Dec 10, 2009 7:21 pm    Post subject: Reply with quote

che python-3 non sia ancora pronto ok, siamo tutti daccordo. Ma il punto è perchè mi si deve mettere la pulce nell'orecchio durante l'upgrade alla 2.6.4 e consigliarmi caldamente di installare anche la 3 (che altrimenti non mi sarei mai sognato)? O non capisco niente di inglese io o c'è qualcosa che mi sfugge...
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4536
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Thu Dec 10, 2009 8:00 pm    Post subject: Reply with quote

!equilibrium wrote:
quando sarà il caso di fare testing e/o di usarla vi farò io un fischio tramite il GWR ;)

quindi non è ancora nemmeno il caso di fare testing?

bè, se un dubbio esisteva ancora, adesso è svelato.
quel warning è un di eccesso di entusiasmo :)

immagino che gli sviluppatori abbiano estrema fiducia nel nuovo prodotto che stanno approntando.
peccato che non si ancora il momento di parlarne in concreto.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
riverdragon
Veteran
Veteran


Joined: 14 Sep 2006
Posts: 1269
Location: Verona

PostPosted: Fri Dec 11, 2009 10:46 am    Post subject: Reply with quote

L'unica idea che mi viene in mente è che qualche feature di portage richiami direttamente l'eseguibile python3 per compiere operazioni infattibili con python2. Magari però sto dicendo una porcheria.
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2094
Location: イタリアのロヂで

PostPosted: Wed Sep 22, 2010 4:57 pm    Post subject: Reply with quote

In questi 9 mesi si è partorito qualcosa?
Python 3 è stabile ora... va usato? non va usato? è usabile a mio rischio e pericolo?
_________________
Il numero di post non fa di me un esperto! Anzi!
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4536
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Wed Sep 22, 2010 6:38 pm    Post subject: Reply with quote

bandreabis wrote:
In questi 9 mesi si è partorito qualcosa?
Python 3 è stabile ora... va usato? non va usato? è usabile a mio rischio e pericolo?

bè. se usi il portage in sviluppo (e, a mio parere, è masochistico non farlo), devi installare python3, a meno di rinunciare a molte delle sue features ed incorrere in qualunque genere di cattive esperienze (immagino che gli sviluppatori non curino più di tanto la retrocompatibilità con python2).

tieni presente che, però attualmente, la maggior parte dei programmi in python2 e viene tuttora sviluppato in python2.
come dire: se usi gentoo, li devi avere entrambi.
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
riverdragon
Veteran
Veteran


Joined: 14 Sep 2006
Posts: 1269
Location: Verona

PostPosted: Wed Sep 22, 2010 9:17 pm    Post subject: Reply with quote

cloc3 wrote:
se usi il portage in sviluppo
2.1.9 o 2.2?

Non so se ci sia un bug che tiene traccia di tutte le applicazioni che non sono compatibili con python3, se ci fosse si potrebbero mandare email minatorie agli sviluppatori per far accelerare la conversione :lol:
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2094
Location: イタリアのロヂで

PostPosted: Thu Sep 23, 2010 6:10 am    Post subject: Reply with quote

cloc3 wrote:
tieni presente che, però attualmente, la maggior parte dei programmi in python2 e viene tuttora sviluppato in python2.
come dire: se usi gentoo, li devi avere entrambi.

Installati sono installati sia il 2.6.5 sia 3.1.2 ma uso python2.
_________________
Il numero di post non fa di me un esperto! Anzi!
Back to top
View user's profile Send private message
cloc3
Advocate
Advocate


Joined: 13 Jan 2004
Posts: 4536
Location: http://www.gentoo-users.org/user/cloc3/

PostPosted: Thu Sep 23, 2010 7:38 am    Post subject: Reply with quote

riverdragon wrote:
cloc3 wrote:
se usi il portage in sviluppo
2.1.9 o 2.2?

dovrei controllare, ma credo che il 2.1 non offra le nuove features, tipo i @set. qui da me è deprecato.
riverdragon wrote:

Non so se ci sia un bug che tiene traccia di tutte le applicazioni

penso che qui puoi ricavare una buona fonte di informazione.
quando sarai bannato per giusta causa come spammer, potrai sempre contattarci via pm per comunicare con noi.
:lol:
_________________
vu vu vu
gentù
mi piaci tu
Back to top
View user's profile Send private message
fbcyborg
Advocate
Advocate


Joined: 16 Oct 2005
Posts: 3021
Location: ROMA

PostPosted: Sun Jul 29, 2012 7:51 am    Post subject: Reply with quote

C'è dev-python/dbus-python-1.1.1 che vuole python 3.2. È ancora rischioso switchare a python 3 e rimuovere la 2.7?
_________________
[HOWTO] Come criptare la /home usando cryptsetup e luks
[HOWTO] Abilitare il supporto al dom0 XEN su kernel 3.X
Help answer the unanswered
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1498
Location: Cosenza, Italy

PostPosted: Sun Jul 29, 2012 12:12 pm    Post subject: Reply with quote

fbcyborg wrote:
C'è dev-python/dbus-python-1.1.1 che vuole python 3.2. È ancora rischioso switchare a python 3 e rimuovere la 2.7?


io ho dbus-python-1.1.1 e non ho python3 installato
_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
fbcyborg
Advocate
Advocate


Joined: 16 Oct 2005
Posts: 3021
Location: ROMA

PostPosted: Sun Jul 29, 2012 12:59 pm    Post subject: Reply with quote

Scusa, e come hai fatto a installare quel pacchetto?

Anche qui hanno lo stesso problema.
_________________
[HOWTO] Come criptare la /home usando cryptsetup e luks
[HOWTO] Abilitare il supporto al dom0 XEN su kernel 3.X
Help answer the unanswered
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1498
Location: Cosenza, Italy

PostPosted: Sun Jul 29, 2012 1:07 pm    Post subject: Reply with quote

fbcyborg wrote:
Scusa, e come hai fatto a installare quel pacchetto?

Anche qui hanno lo stesso problema.


quello è un problema diverso, la versione precedente di dbus-python non supportava python3, quindi falliva per coloro che avevano settato python3 come default.

Dall'ebuild:
Code:
PYTHON_DEPEND="2:2.6 3:3.2"

_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
fbcyborg
Advocate
Advocate


Joined: 16 Oct 2005
Posts: 3021
Location: ROMA

PostPosted: Sun Jul 29, 2012 1:19 pm    Post subject: Reply with quote

Sarà, ma a me continua a non funzionare:

Code:
>>> Failed to emerge dev-python/dbus-python-1.1.1, Log file:
>>>  '/var/tmp/portage/dev-python/dbus-python-1.1.1/temp/build.log'
>>> Jobs: 0 of 1 complete, 1 failed                 Load avg: 0.78, 0.35, 0.22
 * Package:    dev-python/dbus-python-1.1.1
 * Repository: gentoo
 * Maintainer: freedesktop-bugs@gentoo.org python@gentoo.org
 * USE:        amd64 elibc_glibc kernel_linux multilib userland_GNU
 * FEATURES:   preserve-libs sandbox
 * ERROR: dev-python/dbus-python-1.1.1 failed (setup phase):
 *   Active version of CPython 3 is not supported by dev-python/dbus-python-1.1.1
 *
 * Call stack:
 *       ebuild.sh, line  85:  Called pkg_setup
 *       ebuild.sh, line 319:  Called python_pkg_setup
 *   python.eclass, line 431:  Called _python_calculate_PYTHON_ABIS
 *   python.eclass, line 845:  Called die
 * The specific snippet of code:
 *                                              die "Active version of CPython 3 is not supported by ${CATEGORY}/${PF}"
 *
 * If you need support, post the output of `emerge --info '=dev-python/dbus-python-1.1.1'`,
 * the complete build log and the output of `emerge -pqv '=dev-python/dbus-python-1.1.1'`.
 * The complete build log is located at '/var/tmp/portage/dev-python/dbus-python-1.1.1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-python/dbus-python-1.1.1/temp/die.env'.
 * Working directory: '/var/tmp/portage/dev-python/dbus-python-1.1.1'
 * S: '/var/tmp/portage/dev-python/dbus-python-1.1.1/work/dbus-python-1.1.1'

_________________
[HOWTO] Come criptare la /home usando cryptsetup e luks
[HOWTO] Abilitare il supporto al dom0 XEN su kernel 3.X
Help answer the unanswered
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1498
Location: Cosenza, Italy

PostPosted: Sun Jul 29, 2012 2:32 pm    Post subject: Reply with quote

eselect python list ?
_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
fbcyborg
Advocate
Advocate


Joined: 16 Oct 2005
Posts: 3021
Location: ROMA

PostPosted: Sun Jul 29, 2012 2:33 pm    Post subject: Reply with quote

Code:
Available Python interpreters:
  [1]   python2.7 *
  [2]   python3.1
  [3]   python3.2

_________________
[HOWTO] Come criptare la /home usando cryptsetup e luks
[HOWTO] Abilitare il supporto al dom0 XEN su kernel 3.X
Help answer the unanswered
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1498
Location: Cosenza, Italy

PostPosted: Sun Jul 29, 2012 4:13 pm    Post subject: Reply with quote

succede qualcosa se provi a togliere il 3.1 ?
_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
fbcyborg
Advocate
Advocate


Joined: 16 Oct 2005
Posts: 3021
Location: ROMA

PostPosted: Sun Jul 29, 2012 4:17 pm    Post subject: Reply with quote

Che strano, eppure è settata la 2.7, ma ecco cosa succede se provo a rimuovere la 3.1:
Code:
 * Not unmerging package dev-lang/python-3.1.5 since there is no valid reason
 * for Portage to unmerge currently used Python interpreter.

_________________
[HOWTO] Come criptare la /home usando cryptsetup e luks
[HOWTO] Abilitare il supporto al dom0 XEN su kernel 3.X
Help answer the unanswered
Back to top
View user's profile Send private message
bandreabis
Advocate
Advocate


Joined: 18 Feb 2005
Posts: 2094
Location: イタリアのロヂで

PostPosted: Sun Jul 29, 2012 4:28 pm    Post subject: Reply with quote

ago wrote:
succede qualcosa se provi a togliere il 3.1 ?

In effetti la 3.1 io non l'ho e il problema non si pone.
Sarà un caso?
_________________
Il numero di post non fa di me un esperto! Anzi!
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1498
Location: Cosenza, Italy

PostPosted: Sun Jul 29, 2012 4:33 pm    Post subject: Reply with quote

posta eix -e python e emerge --info
_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) Forum di discussione italiano All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum